#
# spec file for package perl-MediaWiki-API
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MediaWiki-API
Version:        0.41
Release:        1%{?dist}
#Upstream:  This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.
%define cpan_name MediaWiki-API
Summary:        Provides a Perl interface to the MediaWiki API (http://www.mediawiki.org[cut]
License:        GPL-3.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MediaWiki-API/
Source0:        http://www.cpan.org/authors/id/E/EX/EXOBUZZ/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(JSON)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(JSON)
Requires:       perl(LWP::UserAgent)
Requires:       perl(Test::More) >= 0.98
#{perl_requires}

%description
Provides a Perl interface to the MediaWiki API (http://www.mediawiki.org/wiki/API)

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%make_install

%files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE README
%exclude %{_libdir}/perl5/perllocal.pod
%exclude %{_libdir}/perl5/vendor_perl/auto/MediaWiki/API/.packlist
%{_datadir}/perl5/vendor_perl/MediaWiki/API.pm
%{_datadir}/man/man3/MediaWiki::API.3pm.gz

%changelog
* Sat Nov 14 2015 coolo@suse.com
- updated to 0.41
  see /usr/share/doc/packages/perl-MediaWiki-API/Changes
  0.41    2015-11-13
    When using the max_lag configuration, if max_lag_retries was reached - the reported number tries were incorrect. Fixed up the api->list function not continuing due to lack of rawcontinue parameter that is needed after MediaSiki 1.26. Thanks to Derbeth for the bug reports.
* Fri Apr 17 2015 coolo@suse.com
- updated to 0.40
  see /usr/share/doc/packages/perl-MediaWiki-API/Changes
  0.40    2014-09-13
    Apologies for the lack of updates and the speed to implement some fixes but I have been busy on other projects.
    Edit token code has been reworked somewhat to make it simpler, and a bugfix applied for an issue with downloading
    images over https using the buildin Download() function.
  0.39    2012-05-20
    Added automatic support for handling tokens in the MediaWiki::API->Edit function for (Un)watch, Send e-mail
    and Patrol changes. (Un)watch already worked but wasn't documented.
  0.38    2012-05-19
    Allow the actions the API supports with an http GET request to be configurable.
    MediaWiki::API->{config}->{get_actions} defaults to { 'query' => 1, 'logout' => 1, purge' => 1, 'paraminfo' => 1 }
    but can be added to/ammended as needed for any extensions that add additional functions to the API that support
    a GET request.
    Make the version of Test::More required to be 0.98 to avoid an issue with older versions missing functionality
    (eg. on centos 5.x).
  0.37    2011-08-10
    The MediaWiki::API->Edit call was not getting a token correctly for an import action. Thanks to Mike Lifeguard
    for the report.
  0.36    2011-08-07
    Since 1.16 MediaWiki now supports uploading files via the API, we no longer need to post directly to
    Special:Upload. Although now the MediaWiki::API->Upload function will use the api to upload if using a
    recent mediawiki, it has also been deprecated, as uploads can be done directly via the MediaWiki::API->API
    call, or if you prefer MediaWiki::API->Edit (where it will automatically get a token for you). Thanks to
    Jeremy Muhlich for the original patch. Some details about uploading files via the API / Edit calls can be
    found in the API section of the pod documentation.
    There are now some tests included with the module. They run a few api functions against a test wiki -
    http://testwiki.exotica.org.uk to make sure everything is working correctly. Feel free to use this wiki for
    testing the module with your own code also. It is wiped/cleaned regularly.
* Fri Apr 17 2015 coolo@suse.com
- updated to 0.37
  see /usr/share/doc/packages/perl-MediaWiki-API/Changes
  0.37    2011-08-07
    The MediaWiki::API->Edit call was not getting a token correctly for an import action. Thanks to Mike Lifeguard
    for the report.
  0.36    2011-08-07
    Since 1.16 MediaWiki now supports uploading files via the API, we no longer need to post directly to
    Special:Upload. Although now the MediaWiki::API->Upload function will use the api to upload if using a
    recent mediawiki, it has also been deprecated, as uploads can be done directly via the MediaWiki::API->API
    call, or if you prefer MediaWiki::API->Edit (where it will automatically get a token for you). Thanks to
    Jeremy Muhlich for the original patch. Some details about uploading files via the API / Edit calls can be
    found in the API section of the pod documentation.
    There are now some tests included with the module. They run a few api functions against a test wiki -
    http://testwiki.exotica.org.uk to make sure everything is working correctly. Feel free to use this wiki for
    testing the module with your own code also. It is wiped/cleaned regularly.
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Aug 30 2010 pascal.bleser@opensuse.org
- rewrote spec file from scratch
- update to 0.35:
  * the module now is a little bit more intelligent about utf-8 strings
